QwtPlotSpectroCurve(3)

NAME
QwtPlotSpectroCurve - Curve that displays 3D points as dots, where the z coordinate is mapped to a color.

SYNOPSIS

#include <qwt_plot_spectrocurve.h>

Inherits QwtPlotSeriesItem, and QwtSeriesStore< QwtPoint3D >.

  Public Types
enum PaintAttribute { ClipPoints = 1 }
Paint attributes.
typedef QFlags< PaintAttribute > PaintAttributes

  Public Member Functions
QwtPlotSpectroCurve (const QString &title=QString())
QwtPlotSpectroCurve (const QwtText &title)
virtual ~QwtPlotSpectroCurve ()
Destructor.
virtual int rtti () const override
void setPaintAttribute (PaintAttribute, bool on=true)
bool testPaintAttribute (PaintAttribute) const
void setSamples (const QVector< QwtPoint3D > &)
void setSamples (QwtSeriesData< QwtPoint3D > *)
void setColorMap (QwtColorMap *)
const QwtColorMap * colorMap () const
void setColorRange (const QwtInterval &)
QwtInterval & colorRange () const
virtual void drawSeries (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const override
void setPenWidth (double)
double penWidth () const

  Protected Member Functions
virtual void drawDots (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, int from, int to) const

Detailed Description

Curve that displays 3D points as dots, where the z coordinate is mapped to a color.

Definition at line 22 of file qwt_plot_spectrocurve.h.

Member Typedef Documentation

  typedef QFlags<PaintAttribute > QwtPlotSpectroCurve::PaintAttributes
An ORed combination of PaintAttribute values.

Definition at line 34 of file qwt_plot_spectrocurve.h.

Member Enumeration Documentation

  enum QwtPlotSpectroCurve::PaintAttribute

Paint attributes.

Enumerator

ClipPoints
    Clip points outside the canvas rectangle.

Definition at line 28 of file qwt_plot_spectrocurve.h.

Constructor & Destructor Documentation

  QwtPlotSpectroCurve::QwtPlotSpectroCurve (const QString & title = QString()) [explicit]
Constructor

Parameters
    title Title of the curve

Definition at line 55 of file qwt_plot_spectrocurve.cpp.

  QwtPlotSpectroCurve::QwtPlotSpectroCurve (const QwtText & title) [explicit]
Constructor

Parameters
    title Title of the curve

Definition at line 45 of file qwt_plot_spectrocurve.cpp.

Member Function Documentation

  const QwtColorMap * QwtPlotSpectroCurve::colorMap () const

Returns
    Color Map used for mapping the intensity values to colors

See also
    setColorMap(), setColorRange(), QwtColorMap::color()

Definition at line 163 of file qwt_plot_spectrocurve.cpp.

  QwtInterval & QwtPlotSpectroCurve::colorRange () const

Returns
    Value interval, that corresponds to the color map

See also
    setColorRange(), setColorMap(), QwtColorMap::color()

Definition at line 191 of file qwt_plot_spectrocurve.cpp.

  void QwtPlotSpectroCurve::drawDots (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect, int from, int to) const [protected], [virtual]
Draw a subset of the points

Parameters
    painter Painter
    xMap Maps x-values into pixel coordinates.
    yMap Maps y-values into pixel coordinates.
    canvasRect Contents rectangle of the canvas
    from Index of the first sample to be painted
    to Index of the last sample to be painted. If to < 0 the series will be painted to its last sample.

See also
    drawSeries()

Definition at line 270 of file qwt_plot_spectrocurve.cpp.

  void QwtPlotSpectroCurve::drawSeries (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect, int from, int to) const [override], [virtual]
Draw a subset of the points

Parameters
    painter Painter
    xMap Maps x-values into pixel coordinates.
    yMap Maps y-values into pixel coordinates.
    canvasRect Contents rectangle of the canvas
    from Index of the first sample to be painted
    to Index of the last sample to be painted. If to < 0 the series will be painted to its last sample.

See also
    drawDots()

Implements QwtPlotSeriesItem.

Definition at line 238 of file qwt_plot_spectrocurve.cpp.

  double QwtPlotSpectroCurve::penWidth () const

Returns
    Pen width used to draw a dot

See also
    setPenWidth()

Definition at line 220 of file qwt_plot_spectrocurve.cpp.

  int QwtPlotSpectroCurve::rtti () const [override], [virtual]

Returns
    QwtPlotItem::Rtti_PlotSpectroCurve

Reimplemented from QwtPlotItem.

Definition at line 82 of file qwt_plot_spectrocurve.cpp.

  void QwtPlotSpectroCurve::setColorMap (QwtColorMap * colorMap)
Change the color map

Often it is useful to display the mapping between intensities and colors as an additional plot axis, showing a color bar.

Parameters
    colorMap Color Map

See also
    colorMap(), setColorRange(), QwtColorMap::color(), QwtScaleWidget::setColorBarEnabled(), QwtScaleWidget::setColorMap()

Definition at line 147 of file qwt_plot_spectrocurve.cpp.

  void QwtPlotSpectroCurve::setColorRange (const QwtInterval & interval)
Set the value interval, that corresponds to the color map

Parameters
    interval interval.minValue() corresponds to 0.0, interval.maxValue() to 1.0 on the color map.

See also
    colorRange(), setColorMap(), QwtColorMap::color()

Definition at line 176 of file qwt_plot_spectrocurve.cpp.

  void QwtPlotSpectroCurve::setPaintAttribute (PaintAttribute attribute, bool on = true)
Specify an attribute how to draw the curve

Parameters
    attribute Paint attribute
    on On/Off /sa PaintAttribute, testPaintAttribute()

Definition at line 94 of file qwt_plot_spectrocurve.cpp.

  void QwtPlotSpectroCurve::setPenWidth (double penWidth)
Assign a pen width

Parameters
    penWidth New pen width

See also
    penWidth()

Definition at line 202 of file qwt_plot_spectrocurve.cpp.

  void QwtPlotSpectroCurve::setSamples (const QVector< QwtPoint3D > & samples)
Initialize data with an array of samples.

Parameters
    samples Vector of points

Definition at line 115 of file qwt_plot_spectrocurve.cpp.

  void QwtPlotSpectroCurve::setSamples (QwtSeriesData< QwtPoint3D > * data)
Assign a series of samples

setSamples() is just a wrapper for setData() without any additional value - beside that it is easier to find for the developer.

Parameters
    data Data

Warning
    The item takes ownership of the data object, deleting it when its not used anymore.

Definition at line 130 of file qwt_plot_spectrocurve.cpp.

  bool QwtPlotSpectroCurve::testPaintAttribute (PaintAttribute attribute) const

Returns
    True, when attribute is enabled

See also
    PaintAttribute, setPaintAttribute()

Definition at line 106 of file qwt_plot_spectrocurve.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.